#include<fstream>
using namespace std;
int p(int n)
{
	if(n==0) return 1;
	else return (2*n+1)*p(n-1);
}
int s(int n)
{
	if(n==0) return 1;
	else return (2*n+1)+s(n-1);
}
int main()
{
	ifstream f1("DQPS.INP");
	ofstream f2("DQPS.OUT");
	int n;
	f1>>n;
	f2<<p(n)<<endl<<s(n);
	f1.close();
	f2.close();
	return 0;
}

